Package lxml :: Module etree :: Class CustomElementClassLookup |
[frames] | no frames]

# Class CustomElementClassLookup

                object --+
                         |
        ElementClassLookup --+
                             |
    FallbackElementClassLookup --+
                                 |
                                CustomElementClassLookup

Known Subclasses:
  - html.HtmlElementClassLookup

CustomElementClassLookup(self, fallback=None) Element class lookup based on a subclass method.

You can inherit from this class and override the method:

    lookup(self, type, doc, namespace, name)

to lookup the element class for a node. Arguments of the method: * type: one of 'element', 'comment', 'PI', 'entity' * doc: document that the node is in * namespace: namespace URI of the node (or None for comments/PIs/entities) * name: name of the element/entity, None for comments, target for PIs

If you return None from this method, the fallback will be called.

Instance Methods
__init__(self, fallback=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
lookup(self, type, doc, namespace, name) |
Inherited from `FallbackElementClassLookup`: `setFallback`, `set_fallback` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `FallbackElementClassLookup`: `fallback` Inherited from `object`: `__class__`

Method Details

### __init__(self, fallback=None) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__